Subject: [os2genau_digest] No. 2007
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 5 Oct 2010 00:01:35 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Monday 04 October 2010
 Number  2007
**************************************************

Subjects for today
 
1  Re:  Daylight Savings Time - again! : Ian Manners" <deadmail>
2  Re:  Daylight Savings Time - again! : Ian Manners" <deadmail>
3  Re:  Daylight Savings Time - again! : Voytek Eymont" <voytek at sbt dot net dot au>
4  Re:  Daylight Savings Time - again! : Voytek Eymont" <voytek at sbt dot net dot au>
5  Re:  Daylight Savings Time - again! : John Angelico" <talldad at kepl dot com dot au>

**= Email   1 ==========================**

Date:  Sun, 03 Oct 2010 22:19:36 +1100 (EDT)
From:  "Ian Manners" <deadmail>
Subject:  Re:  Daylight Savings Time - again!

PS,

Also in the script I use on the server but further down, which it isnt
now as I just moved it up and re enabled it, is a command from
Peter Moylan to update the TZ variable when DST has changed.

 at tzset

This command is also run when the server is booted so the
full script to use either manually or via Cron, at least here in
Melbourne is something like :-

 at call delay 15
 at daytime -s -u ntp1.cs.mu.OZ.AU
 at tzset

And you also reminded me of something I was suppost to test
when DST started but forgot :-)

Cheers
Ian Manners
http://www.os2site dot com/

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
**= Email   2 ==========================**

Date:  Mon, 04 Oct 2010 00:49:08 +1100 (EDT)
From:  "Ian Manners" <deadmail>
Subject:  Re:  Daylight Savings Time - again!

Hi John,

I ment to send that other email to the list, getting to use to clicking
elsewere for another list that has its reply to's around the
otherway.

>>I dont bother with the client(s) as they have the daytime command
>>in the startup.cmd file so they look after themselves when I boot
>>the next day. 

>So it still depends on a reboot! I will test in a few minutes.

If you use Peter Moylans tzset utility there is no need to reboot
after running it to update the enviroment string (from +1000 to
+1100, found here about halfway down the page.
<http://www.pmoylan dot org/pages/os2/software.html>

You still need something that will change the time for you,
either manually or automatically.

>Hmm, having manually adjusted the time last night, to be one hour forward,
>the reboot just completed made no apparent difference here.

hmmm

>So the daytime command on your system gets (and presumably sets) the time
>from the Melb Uni ntp server? 

On the server yes, all other machines update there time from the
server here, including my wifes mac(s) when they are booted, the
Mac however has a demon that flips the time over on the second
of DST.

>But that means your machines set their time from an external source,
>whereas our machines here set their time from the internal RTC.

Yes, though you can use OS/2 programs that poll the date/time
locally and then change, ie, a demon like Windows, Mac, or Linux use.
I know eComStation use to come with something like that.

There are some here as well but your milage may vary

<http://www.os2site.com/sw/apps/time/>

I think I tried World Clock back in about 2003 and it worked ok

<http://www.os2world dot com/goran/wclock.htm>

>That appears to be useful for servers synchronising across time zones, and
>avoiding clock drifts, but for our own approximations it doesn't seem to
>help much.

At least your clocks will be acurate :-)

>What seems to have failed is the display rather than the internal setting
>of time.

Yes, the TZ enviromental setting, is eCS setting it somewere else
as well ?

>I'm slowly remembering that there was a text file of cities and time
>zones...somewhere

I think I deleted mine as it was always wrong when I refered to
it, I just google it now.

Cheers
Ian Manners
http://www.os2site dot com/

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
**= Email   3 ==========================**

Date:  Mon, 4 Oct 2010 11:25:43 +1100 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  Daylight Savings Time - again!

<quote who="John Angelico">
> On Sun, 03 Oct 2010 21:59:20 +1100 (EDT) Ian Manners wrote:

> So it still depends on a reboot! I will test in a few minutes.

is there a moderator here ?

I want to report this post, they're talking about 'rebooting'

isn't this the os/2 list ?

we only reboot for ram or cpu upgrades on OS/2
(and, maybe for some socket leaks....)

-- 
Voytek

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
**= Email   4 ==========================**

Date:  Mon, 4 Oct 2010 11:38:13 +1100 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  Daylight Savings Time - again!

<quote who="Ian Manners">
> Hi John,
>
>
>> That got me wondering about where the TZ data was stored.
>>
>
>> Can anyone remember if TZ strings in CONFIG.SYS are honoured anymore,
>> or is the time zone stuff now somewhere else (sorry my brain is stuffed
>> full of other stuff atm)?
>
> I use
> SET TZ=EST-10EDT,10,1,0,7200,4,1,0,7200,3600
> For Melbourne on the server. Weasel understands it ok.

same here

grep TZ config.sys
rem SET TZ=est-10edt
rem SET TZ=EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600
rem SET TZ=AEST-10AEDT,10,-1,0,7200,3,-1,0,7200,3600
SET TZ=EST-10EDT,10,1,0,7200,4,1,0,7200,3600

> For auto rollover to DST you do still need something to actually
> do that for you. I use
>
>  at call delay 15
>  at daytime -s -u ntp1.cs.mu.OZ.AU

I simply run a batch file to get updates

I should run it at 2am, like you, but, I just run it 4xday, so, at most
I'm 6 hrs out, but, this is a home workstation, not a server, so it
matters little

]grep daytime startup.cmd
rem start "TimeClock" /min /c daytime -s -u augean.eleceng.adelaide.edu.au
>> clock.log
rem start "TimeClock" /min /c daytime -c 21600 -s -u
augean.eleceng.adelaide.edu.au >> clock.log
start "TimeClock" /min /c daytime -c 21600 -s -u au.pool.ntp dot org >> clock..log
rem start "TimeServer" /min /c daytimed -S

type clock.log:
......
time set from au.pool.ntp dot org: (+2) Sun Oct  3 01:40:58 2010
time set from au.pool.ntp dot org: (+3600) Sun Oct  3 08:41:01 2010
time at au.pool.ntp dot org: (+0) Sun Oct  3 14:41:04 2010
time at au.pool.ntp dot org: (+0) Sun Oct  3 20:41:08 2010
time at au.pool.ntp dot org: (+1) Mon Oct  4 02:41:10 2010
time set from au.pool.ntp dot org: (+2) Mon Oct  4 08:41:13 2010

grep "+36" clock.log
time set from augean.eleceng.adelaide.edu.au: (+3615) Tue Nov  8 23:38:42
2005
time set from augean.eleceng.adelaide.edu.au: (+3607) Tue Oct 31 09:53:43
2006
time set from au.pool.ntp dot org: (+3601) Sun Oct 28 07:50:54 2007
time set from au.pool.ntp dot org: (+3600) Sun Oct  5 05:29:11 2008
time set from au.pool.ntp dot org: (+3600) Sun Oct  3 08:41:01 2010

-- 
Voytek

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
**= Email   5 ==========================**

Date:  Mon, 04 Oct 2010 19:01:08 +1100 (AEDT)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  Daylight Savings Time - again!

On Mon, 4 Oct 2010 11:25:43 +1100 (EST) Voytek Eymont wrote:
>
><quote who="John Angelico">
>> On Sun, 03 Oct 2010 21:59:20 +1100 (EDT) Ian Manners wrote:
>
>> So it still depends on a reboot! I will test in a few minutes.
>
>is there a moderator here ?
>
>I want to report this post, they're talking about 'rebooting'
>
>isn't this the os/2 list ?
>
>we only reboot for ram or cpu upgrades on OS/2
>(and, maybe for some socket leaks....)

And for installs...

:-)

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===